---
updatedAt: 2025-11-11T00:04:29.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Fetch Multiple Cards By Issuer Nr

This API allows you to list all cards by their issuer number (required), PAN, first name, last name, or card program. Multiple cards may be returned, with a limit of 100 cards in the response.

## Fetch Multiple Cards Using Their Issuer Number

To successfully fetch multiple cards by issuer number, make a POST request to the [endpoint](https://docs.interswitchgroup.com/reference/fetch-multiple-cards-by-issuer-number)  designed for fetching a single card by issuer number.

```coffeescript Request
POST /card-management/api/v1/card/fetchMultiple
```

These are the parameters of the request:

**Body Parameters**

| Field # | Field name  | Data type | Max length | Required   | Description                                  |
| :------ | :---------- | :-------- | :--------- | :--------- | :------------------------------------------- |
| 1       | issuerNr    | int       | 3          | true       | Issuer Number e.g 2                          |
| 2       | cardProgram | string    | 1 to 20    | true       | Card Program e.g VERVE                       |
| 3       | lastName    | string    | 30         | false/true | Required for New Debit and Prepaid Cards     |
| 4       | firstName   | string    | 30         | false/true | Required for New Debit and Prepaid Cards     |
| 5       | pan         | string    | 16 to 19   | false/true | Required for Reissue Debit and Prepaid Cards |

The request should look like this :

```coffeescript Request
{
  "issuerNr": 2,
  "pan": "5061800000000000363",
  "firstName": "Test",
  "lastName": "Test",
  "cardProgram": "VERVE"
}
```

**Response Message  field description**

| Field # | Field name  | Description                       |
| :------ | :---------- | :-------------------------------- |
| 1       | code        | Internal Response Code            |
| 2       | description | Successful or Error Message       |
| 3       | cardDetails | List of Card Details              |
| 4       | errors      | Errors array if any errors exist. |

This is what a typical successful or failed response would look like

```coffeescript Success
{
  "code": "00",
  "description": "Successful",
  "cardDetails": [
    {
      "pan": "5060990000000056128",
      "expiryDate": "5004",
      "issuerNr": "2",
      "firstName": "Test",
      "lastName": "Test",
      "nameOnCard": "Test",
      "cardProgram": "VERVE",
      "customerId": "1234567867",
      "cardStatus": "0",
      "seqNr": "001",
      "streetAddress": "OKO AWO",
      "city": "Lagos"
    }
  ]
}
```
```coffeescript Failure
{
  "error": "unauthorized",
  "error_description": "Full authentication is required to access this resource"
}
```